---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libcompmethunload001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50C50, symBinAddr: 0x7330, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52B90, symBinAddr: 0x9270, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52F80, symBinAddr: 0x9660, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53F20, symBinAddr: 0xA600, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53F30, symBinAddr: 0xA610, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50790, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50794, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50798, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x508E0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50998, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5099C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x509A0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x509A4, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x509A8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x509B0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x509C0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x509C8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x509D0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x509D8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x509E0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x509E8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50A2C, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x90F5, offset: 0x90F5, size: 0x8, addend: 0x0, symName: __ZL10compunload, symObjAddr: 0x50A30, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x910E, offset: 0x910E, size: 0x8, addend: 0x0, symName: __ZL14class_unloaded, symObjAddr: 0x50A34, symBinAddr: 0x71D4, symSize: 0x0 }
  - { offsetInCU: 0x9127, offset: 0x9127, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50A38, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9140, offset: 0x9140, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50A48, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x9159, offset: 0x9159, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50A50, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x91AB, offset: 0x91AB, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x14B0, symSize: 0x80 }
  - { offsetInCU: 0x9240, offset: 0x9240, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1400, symSize: 0xB0 }
  - { offsetInCU: 0x929B, offset: 0x929B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1300, symSize: 0x100 }
  - { offsetInCU: 0x952E, offset: 0x952E, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1530, symSize: 0xC0 }
  - { offsetInCU: 0x9580, offset: 0x9580, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x15F0, symSize: 0x220 }
  - { offsetInCU: 0x9765, offset: 0x9765, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1810, symSize: 0xA0 }
  - { offsetInCU: 0x9818, offset: 0x9818, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x18B0, symSize: 0x110 }
  - { offsetInCU: 0x990E, offset: 0x990E, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x19C0, symSize: 0x150 }
  - { offsetInCU: 0x9A6B, offset: 0x9A6B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1B10, symSize: 0x30 }
  - { offsetInCU: 0x9B4C, offset: 0x9B4C, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1B40, symSize: 0x150 }
  - { offsetInCU: 0x9D44, offset: 0x9D44, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1C90, symSize: 0x160 }
  - { offsetInCU: 0xA004, offset: 0xA004, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1DF0, symSize: 0x4A0 }
  - { offsetInCU: 0xA277, offset: 0xA277, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2290, symSize: 0x1B0 }
  - { offsetInCU: 0xA492, offset: 0xA492, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2440, symSize: 0xA0 }
  - { offsetInCU: 0xA561, offset: 0xA561, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x24E0, symSize: 0x20 }
  - { offsetInCU: 0xA598, offset: 0xA598, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2500, symSize: 0x20 }
  - { offsetInCU: 0xA5CF, offset: 0xA5CF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2520, symSize: 0x20 }
  - { offsetInCU: 0xA7A2, offset: 0xA7A2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2540, symSize: 0x1A0 }
  - { offsetInCU: 0xAABE, offset: 0xAABE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x26E0, symSize: 0x150 }
  - { offsetInCU: 0xAC73, offset: 0xAC73, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2830, symSize: 0x80 }
  - { offsetInCU: 0xAD3C, offset: 0xAD3C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x28B0, symSize: 0x6C0 }
  - { offsetInCU: 0xB8B2, offset: 0xB8B2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA570, symBinAddr: 0x3EE0, symSize: 0xB0 }
  - { offsetInCU: 0xB929, offset: 0xB929, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2F70, symSize: 0x70 }
  - { offsetInCU: 0xB9E5, offset: 0xB9E5, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2FE0, symSize: 0xA0 }
  - { offsetInCU: 0xBB10, offset: 0xBB10, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3080, symSize: 0x40 }
  - { offsetInCU: 0xBC06, offset: 0xBC06, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x30C0, symSize: 0x2B0 }
  - { offsetInCU: 0xBFAC, offset: 0xBFAC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3370, symSize: 0xC0 }
  - { offsetInCU: 0xC0F2, offset: 0xC0F2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3430, symSize: 0x10 }
  - { offsetInCU: 0xC1B4, offset: 0xC1B4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3440, symSize: 0x240 }
  - { offsetInCU: 0xC49D, offset: 0xC49D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3680, symSize: 0x10 }
  - { offsetInCU: 0xC4FA, offset: 0xC4FA, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3690, symSize: 0x450 }
  - { offsetInCU: 0xC9FB, offset: 0xC9FB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA170, symBinAddr: 0x3AE0, symSize: 0x10 }
  - { offsetInCU: 0xCA78, offset: 0xCA78, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0xA180, symBinAddr: 0x3AF0, symSize: 0xC0 }
  - { offsetInCU: 0xCB70, offset: 0xCB70, size: 0x8, addend: 0x0, symName: _CompiledMethodLoad, symObjAddr: 0xA240, symBinAddr: 0x3BB0, symSize: 0x110 }
  - { offsetInCU: 0xCD37, offset: 0xCD37, size: 0x8, addend: 0x0, symName: _CompiledMethodUnload, symObjAddr: 0xA350, symBinAddr: 0x3CC0, symSize: 0x1C0 }
  - { offsetInCU: 0xCFB2, offset: 0xCFB2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_CompiledMethodUnload_compmethunload001_check, symObjAddr: 0xA510, symBinAddr: 0x3E80, symSize: 0x40 }
  - { offsetInCU: 0xCFFF, offset: 0xCFFF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_CompiledMethodUnload_compmethunload001_unloaded, symObjAddr: 0xA550, symBinAddr: 0x3EC0, symSize: 0x20 }
  - { offsetInCU: 0xD034, offset: 0xD034, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA620, symBinAddr: 0x3F90, symSize: 0x36A }
...
